EXPIREGITITCACHE(1)

NAME
expireGititCache - requests cache expiration for gitit pages

SYNOPSIS

expireGititCache gititUrl page1 [page2 ...]

DESCRIPTION

expireGititCache requests to a gitit-powered wiki to expire the cache for specified pages. For example, is gititUrl is set to "http://localhost:5001" and page1 is "Main page.page", then expireGititCache execute a POST request to the URL "http://localhost:5001/_expire/Front page".

RETURNS

expireGititCache's return status is:

    • 0 if the pages' caches were successfully expired or if pages weren't cached in the first place);

    • 1 if fewer than two arguments were supplied;

    • 3 if the wiki engine responded with something different from 200 OK to the request;

    • 5 if gititUrl could not be parsed.

AUTHOR

Giovanni Mascellani <gio@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2011 Giovanni Mascellani

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.